using System;
using System.IO;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
    // このクラスは CA1001:DependsOnFix に違反しています。
    public class Rule1001A
    {
        private MemoryStream stream = new MemoryStream();

        public string ReadBuffer()
        {
            Rule1001B stream = new Rule1001B();
            using (StreamReader reader = new StreamReader(this.stream))
            {
                return reader.ReadToEnd() + stream.ReadBuffer();
            }
        }
    }

    // このクラスは CA1001:NonBreaking に違反しています。
    internal class Rule1001B
    {
        private MemoryStream stream = new MemoryStream();

        internal string ReadBuffer()
        {
            using (StreamReader reader = new StreamReader(this.stream))
            {
                return reader.ReadToEnd();
            }
        }
    }
}
